Package ru.bitel.bgbilling.kernel.contract.api.server.bean

# Class ContractGroupDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<ContractGroup>
ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractGroupDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `Directory<ContractGroup>`

    public class ContractGroupDao
    extends ru.bitel.common.dao.AbstractIdDao<ContractGroup>
    implements Directory<ContractGroup>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractGroupDao​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `delete​(int id)` | Удаление группы из всех договоров.
  `ContractGroup` | `get​(int id)` | Получение элемента по id
  `ContractGroup` | `get​(java.lang.String title)` | Получение группы по названию.
  `protected ContractGroup` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<ContractGroup>` | `list()` | Получение всех 64 групп, отсортированных по ID.
  `java.util.List<ContractGroup>` | `list​(boolean all)` | Получение групп, всех или только используемых.
  `java.util.List<ContractGroup>` | `list​(boolean all, java.lang.String order)` | Получение групп, всех или только используемых.
  `protected void` | `updateImpl​(ContractGroup b)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `update`

- ## Constructor Details

  - ### ContractGroupDao

    public ContractGroupDao​(java.sql.Connection con)

- ## Method Details

  - ### getFromRS

    protected ContractGroup getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ContractGroup>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(ContractGroup b) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ContractGroup>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### list

    public java.util.List<ContractGroup> list() throws ru.bitel.bgbilling.common.BGException
    Получение всех 64 групп, отсортированных по ID.
    Specified by:
      `list` in interface `Directory<ContractGroup>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ContractGroup> list​(boolean all) throws ru.bitel.bgbilling.common.BGException
    Получение групп, всех или только используемых.
    Parameters:
      `all` - если true - возвращает все 64 группы, если false - только используемые (enabled==true).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ContractGroup> list​(boolean all, java.lang.String order) throws ru.bitel.bgbilling.common.BGException
    Получение групп, всех или только используемых.
    Parameters:
      `all` -
      `order` - если all==false, то можно указать порядок сортировки (id или title).
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete​(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление группы из всех договоров.
    Specified by:
      `delete` in interface `Directory<ContractGroup>`
    Overrides:
      `delete` in class `ru.bitel.common.dao.AbstractIdDao<ContractGroup>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public ContractGroup get​(java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Получение группы по названию.
    Specified by:
      `get` in interface `Directory<ContractGroup>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public ContractGroup get​(int id) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по id
    Specified by:
      `get` in interface `Directory<ContractGroup>`
    Overrides:
      `get` in class `ru.bitel.common.dao.AbstractIdDao<ContractGroup>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`